Description

Supportanfrage

ich bin dabei eine cTriggerFunction in einen cFilter umzuwandeln, um den Umgang mit dynamischen Pins zu verbessern.

Dabei bin ich auf folgende Probleme gestoßen:

Die Properties heißen dann anders. Das hat zur Folge, dass sowohl die alten als auch die neuen Properties im property_set in

*.adtfproperties auftauchen. Zur Laufzeit beschwert sich ADTF, dass es ein Property nicht setzen kann.

Ich habe die alten Properties dann via Notepad++ aus der Configuration entfernt. Ein "delete invalid properties", gibt es im

CE offenbar noch nicht.

Ich habe die Methode virtual tResult Process(base::flash::tNanoSeconds tmTrigger, streaming::ant::IRunner* pRunner);

überschrieben

Da hier tNanoSeconds unterstützt werden, wollte ich das auch im Sample nutzen. Dazu brauche ich flash::ISample.

Allerdings kann flash::cSampleWriter offenbar nur mit ant::ISample umgehen.

Ich werde also auf ant::ISample zurückgreifen und tTimeStamp verwenden.

Kann flash::ISample bereits genutzt werden? Wenn ja, wie?

Lösung

In der Trigger Function hatten die Properties immer den Namen der Trigger Function als Prefix. Genau deshalb mach das z.b. Demo

Time Triggered Filter so, dass er auch wieder den alten prefix verwendet, damit die Configs gültig bleiben:

RegisterPropertyVariable("data_generator_function/number_gen_type", m_eGeneratorType);

 Das kannst Du ja auch so machen, dann musst du nix an den Configs ändern.

zu Nanosekunden: es gibt auch noch die get_sample_time methode

History

#1 - 2019-09-04 08:30 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::SDK

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.6.0 added

- Platform Windows 10 64bit added

Hallo Martin,

hier noch das Ticket von Jens welches Ihr bereits in der Runde angesprochen hatten.
https://support.digitalwerk.net/adtf/v3/adtf_html/namespaceadtf_1_1streaming_1_1flash.html#a97565cda64f8b125fa16103be5d3bc06


#2 - 2019-09-04 08:49 - hidden

Hi Jens,

in der Trigger Function hatten die Properties immer den Namen der Trigger Function als Prefix. Genau deshalb mach das z.b. Demo Time Triggered

Filter so, dass er auch wieder den alten prefix verwendet, damit die Configs gültig bleiben:

RegisterPropertyVariable("data_generator_function/number_gen_type", m_eGeneratorType);

 Das kannst Du ja auch so machen, dann musst du nix an den Configs ändern.

zu Nanosekunden: es gibt auch noch die get_sample_time methode: 

https://support.digitalwerk.net/adtf/v3/adtf_html/namespaceadtf_1_1streaming_1_1flash.html#a97565cda64f8b125fa16103be5d3bc06

#3 - 2019-09-06 07:59 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2019-09-13 09:19 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF 3.6.0: flash::ISample nicht nutzbar / Umgang mit Änderungen von Namen von Properties to flash::ISample could not be

used and property names (paths) are different to trigger functions

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2019-09-13 09:19 - hidden

- Description updated

#6 - 2019-09-13 09:20 - hidden

- Description updated

#7 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
